#!-----------------------------------------------------------------------
#TEMPLATE(etouch4DefaultsForButtonsH5,'etouch4 H5 Set Defaults for buttons'),FAMILY('ABC')
#!-----------------------------------------------------------------------
#!
#! For use with Web Builder H5 templates. Thanks to Diego from SV for the tips
#! Make sure you pass the variables prior to open windows
#!-----------------------------------------------------------------------
#EXTENSION(etouch4DefaultsForButtonsH5,'etouch4 H5 Set Defaults for buttons'),APPLICATION, LAST
#!-----------------------------------------------------------------------
#GLOBALDATA
etouch4::WebH5ButtonsHaveText byte(1) ! this ensures that text is display always
etouch4::WebH5ButtonsHaveIcons byte(1) !
etouch4::WebH5InsertAllowed Byte(1) ! control whether insert is allowed for this user
etouch4::WebH5ChangeAllowed byte(1) ! control whether change is allowed for this user
etouch4::WebH5DeleteAllowed byte(1) ! control whether delete is allowed for this user
#ENDGLOBALDATA

 
#!-----------------------------------------------------------------------------
#AT (%WebControlManagerMethodCodeSection,,'Init','(SIGNED Feq,SIGNED Container)'),PRIORITY(7001)
#!-----------------------------------------------------------------------------
#IF (%ControlType = 'BUTTON')
      #CASE (SUB(UPPER(%Control),1,5))
      #OF ('?EXIT')
      #OROF ('?CLOS')
            SELF.SetExtraProperty('btnStyle', 'danger')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Exit')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon glyphicon-off') 
             #?END

      #OF ('?CANC')                                  
             SELF.SetExtraProperty('btnStyle', 'danger')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Go Back')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon glyphicon-backward') 
             #?END


      #OF ('?VIEW')
             SELF.SetExtraProperty('btnStyle', 'info')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' View')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon  glyphicon-zoom-in') 
             #?END

      #OF ('?OK')
             SELF.SetExtraProperty('btnStyle', 'success')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Save')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon  glyphicon-ok') 
             #?END


      #OF ('?CHAN')
      #OROF ('?EDIT')
           #?If etouch4::WebH5ChangeAllowed = 1
             SELF.SetExtraProperty('btnStyle', 'warning active')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Edit')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon glyphicon-edit') 
             #?END
             #?ELSE
                  SELF.SuppressInsertion = TRUE
             #?END             


      #OF ('?INSE')
      #OROF ('?ADD')
           #?If etouch4::WebH5InsertAllowed = 1
             SELF.SetExtraProperty('btnStyle', 'success')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Add')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon  glyphicon-plus') 
             #?END
             #?ELSE
                  SELF.SuppressInsertion = TRUE
             #?END             


     #OF ('?SELE')
             SELF.SetExtraProperty('btnStyle', 'success')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Choose')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon  glyphicon-ok') 
             #?END


      #OF ('?DELE')
         #?If etouch4::WebH5DeleteAllowed = 1
             SELF.SetExtraProperty('btnStyle', 'default')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Delete')
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon glyphicon-remove')
             #?END
             #?ELSE
                  SELF.SuppressInsertion = TRUE
             #?END             
             
			 
      #OF ('?BSSE')
             SELF.SetExtraProperty('btnStyle', 'primary')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Search')
				  
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon glyphicon-zoom-in')
             #?END
			 
      #OF ('?BSRE')
             SELF.SetExtraProperty('btnStyle', 'danger')
             #?If etouch4::WebH5ButtonsHaveText = 1 ! button has text
                  SELF.SetExtraProperty('DisplayText',' Reset')
				  
             #?END
             #?If etouch4::WebH5ButtonsHaveIcons = 1 ! button has icon
                  SELF.SetExtraProperty('AltText', 'glyphicon glyphicon-refresh')
             #?END
			 
      #ENDCASE

#ENDIF
#ENDAT
 
