#!-----------------------------------------------------------------------
#TEMPLATE(etouch4GoogleMapsH5,'etouch4 H5 Add Google Maps'),FAMILY('ABC')
#!-----------------------------------------------------------------------
#!
#! For use with Web Builder H5 templates. Thanks to Diego from SV for the tips
#! Make sure you pass the variables 
#!-----------------------------------------------------------------------
#EXTENSION(etouch4GoogleMapsH5,'etouch4 H5 Add Google Maps'),APPLICATION, LAST
#!-----------------------------------------------------------------------
#GLOBALDATA
etouch4::GoogleMapsKey String(255) ! This the api key allocated by google 
etouch4::GoogleMapsKeyScript string(512) !
etouch4::GoogleMapsAddress string(1024) ! this is the full script for the address
etouch4::AppDatabaseAddress string(1024) ! this value is from the customer database or whichever field.
#ENDGLOBALDATA

#!-----------------------------------------------------------------------------
#AT(%WebBeforeInsidePageStyleTag),PRIORITY(3501)
#!-----------------------------------------------------------------------------
! This creates the map component (class)
      Target.Writeln('.map{{ ')
      Target.Writeln('height: 300px;')
      Target.Writeln('padding: 20px 20px 20px 20px;')  
#ENDAT
#!-----------------------------------------------------------------------------
#AT(%WebEmbedJavascriptOnBottom),PRIORITY(4001)
#!-----------------------------------------------------------------------------
	etouch4::GoogleMapsKeyScript = '<script type="text/javascript" src="http://maps.google.com/maps/api/js?key=' & CLIP(etouch4::GoogleMapsKey) & '"></script>'
   Target.Writeln(CLIP(etouch4::GoogleMapsKeyScript))

   etouch4::GoogleMapsAddress = '  var address ="' & CLIP(etouch4::AppDatabaseAddress) & '";'

	  Target.Writeln('<<script type="text/javascript">')
      Target.Writeln('  var geocoder;')
	  Target.Writeln('  var map;')
      Target.Writeln(etouch4::GoogleMapsAddress)
      Target.Writeln('  function initialize() {{')
      Target.Writeln('    geocoder = new google.maps.Geocoder();')
      Target.Writeln('    var latlng = new google.maps.LatLng(-34.397, 150.644);')
      Target.Writeln('    var myOptions = {{')
      Target.Writeln('      zoom: 16,')
      Target.Writeln('      center: latlng,')
      Target.Writeln('    mapTypeControl: true,')
      Target.Writeln('    mapTypeControlOptions: {{style: google.maps.MapTypeControlStyle.DROPDOWN_MENU},')
      Target.Writeln('    navigationControl: true,')
      Target.Writeln('      mapTypeId: google.maps.MapTypeId.ROADMAP')
      Target.Writeln('    };')
      Target.Writeln('    map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);')
      Target.Writeln('    if (geocoder) {{')
      Target.Writeln('      geocoder.geocode( {{ ''address'': address}, function(results, status) {{')
      Target.Writeln('        if (status == google.maps.GeocoderStatus.OK) {{')
      Target.Writeln(' {10}if (status != google.maps.GeocoderStatus.ZERO_RESULTS) {{')
      Target.Writeln(' {10}map.setCenter(results[0].geometry.location);')
      Target.Writeln('')
      Target.Writeln(' {12}var infowindow = new google.maps.InfoWindow(')
      Target.Writeln(' {16}{{ content: ''<<b>''+address+''<</b>'',')
      Target.Writeln(' {18}size: new google.maps.Size(150,50)')
      Target.Writeln(' {16}});')
      Target.Writeln('')
      Target.Writeln(' {12}var marker = new google.maps.Marker({{')
      Target.Writeln(' {16}position: results[0].geometry.location,')
      Target.Writeln(' {16}map: map, ')
      Target.Writeln(' {16}title:address')
      Target.Writeln(' {12}}); ')
      Target.Writeln(' {12}google.maps.event.addListener(marker, ''click'', function() {{')
      Target.Writeln(' {16}infowindow.open(map,marker);')
      Target.Writeln(' {12}});')
      Target.Writeln('')
      Target.Writeln(' {10}} else {{')
      Target.Writeln(' {12}alert("No results found");')
      Target.Writeln(' {10}}')
      Target.Writeln('        } else {{')
      Target.Writeln(' {10}alert("Geocode was not successful for the following reason: " + status);')
      Target.Writeln('        }')
      Target.Writeln('      });')
      Target.Writeln('    }')
      Target.Writeln('  }')
      Target.Writeln('google.maps.event.addDomListener(window, ''load'', initialize);')
      Target.Writeln('<</script>')  
	 
#ENDAT

#CODE (H5GoogleMapsDiv, 'Insert Google maps Div code after control'),DESCRIPTION('Insert Google maps Div code after control')
#DISPLAY ('Insert Google maps Div code after control'),AT(,,180)
Target.Writeln('<div id="map_canvas" class="map "></div>')